Package Details: openbazaard 0.14.6-2

Git Clone URL: https://aur.archlinux.org/openbazaard.git (read-only, click to copy)
Package Base: openbazaard
Description: Server daemon for communication between client and OpenBazaar network
Upstream URL: https://github.com/OpenBazaar/openbazaar-go
Keywords: openbazaar openbazaar-server
Licenses: MIT
Submitter: robertfoster
Maintainer: robertfoster
Last Packager: robertfoster
Votes: 13
Popularity: 0.006840
First Submitted: 2016-03-02 11:49
Last Updated: 2021-05-17 19:46

Latest Comments

1 2 3 Next › Last »

thechitowncubs commented on 2021-05-16 19:00

You probably still have GO111MODULE=on set in your environment. If you're using a sh-like shell, unset GO111MODULE or export GO111MODULE=auto should put things back into auto mode.

https://github.com/Jguer/yay/issues/750#issuecomment-580464094

redfish commented on 2020-07-18 07:03

Need to add to the beginning of package(): export GOPATH="$srcdir"

tkteun commented on 2020-07-11 16:43

Same for me:

==> Starting package()... install: cannot stat '/src/github.com/OpenBazaar/openbazaar-go/openbazaar-go': No such file or directory

quest commented on 2020-05-09 21:25

Still failing with pushed fix.

install: cannot stat '/home/quest/go/src/github.com/OpenBazaar/openbazaar-go/openbazaar-go': No such file or directory

quest commented on 2020-05-09 20:53

This package is now failing to build.

==> Starting build()...
openbazaard.go:9:2: cannot find package "github.com/OpenBazaar/openbazaar-go/cmd" in any of:
    /usr/lib/go/src/github.com/OpenBazaar/openbazaar-go/cmd (from $GOROOT)
    /home/quest/go/src/github.com/OpenBazaar/openbazaar-go/cmd (from $GOPATH)
openbazaard.go:10:2: cannot find package "github.com/OpenBazaar/openbazaar-go/core" in any of:
    /usr/lib/go/src/github.com/OpenBazaar/openbazaar-go/core (from $GOROOT)
    /home/quest/go/src/github.com/OpenBazaar/openbazaar-go/core (from $GOPATH)
openbazaard.go:11:2: cannot find package "github.com/ipfs/go-ipfs/repo/fsrepo" in any of:
    /usr/lib/go/src/github.com/ipfs/go-ipfs/repo/fsrepo (from $GOROOT)
    /home/quest/go/src/github.com/ipfs/go-ipfs/repo/fsrepo (from $GOPATH)
openbazaard.go:13:2: cannot find package "github.com/op/go-logging" in any of:
    /usr/lib/go/src/github.com/op/go-logging (from $GOROOT)
    /home/quest/go/src/github.com/op/go-logging (from $GOPATH)
==> ERROR: A failure occurred in build().

jdc commented on 2019-06-24 21:58

v0.13.3.tar.gz fails the md5 sum validity check when I try to install. The file I've downloaded md5 sums to d28094304466954e86f60819ab306dd9.

needle8420 commented on 2018-10-10 23:50

how to run openbazaar on tor

https://wiki.archlinux.org/index.php/OpenBazaar

piedro commented on 2018-06-26 09:31

What about the version numbers here? Is this the right one to work with openbazaar 2.2 ?

ouraur commented on 2018-05-31 19:23

This is broken with pacman 5.1.0 because UPX support has been removed.

==> ERROR: options array contains unknown option 'upx'

mkoloberdin commented on 2018-01-07 02:43

openbazaard 0.10.1-2, build fails: https://pastebin.com/HnwJ989K